# Uses of Class
org.springframework.web.client.RestTemplate

Packages that use RestTemplate
Package
Description
org.springframework.web.client
Core package of the client-side web support.
org.springframework.web.client.support
Classes supporting the `org.springframework.web.client` package.

## Uses of RestTemplate in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type RestTemplate
Modifier and Type
Method
Description
`static RestClient.Builder`
RestClient.`builder(RestTemplate restTemplate)`
Obtain a `RestClient` builder based on the configuration of the given `RestTemplate`.
`static RestClient`
RestClient.`create(RestTemplate restTemplate)`
Create a new `RestClient` based on the configuration of the given `RestTemplate`.

## Uses of RestTemplate in org.springframework.web.client.support

Methods in org.springframework.web.client.support that return RestTemplate
Modifier and Type
Method
Description
`RestTemplate`
RestGatewaySupport.`getRestTemplate()`
Returns the `RestTemplate` for the gateway.
Methods in org.springframework.web.client.support with parameters of type RestTemplate
Modifier and Type
Method
Description
`static RestTemplateAdapter`
RestTemplateAdapter.`create(RestTemplate restTemplate)`
Create a `RestTemplateAdapter` for the given `RestTemplate`.
`void`
RestGatewaySupport.`setRestTemplate(RestTemplate restTemplate)`
Sets the `RestTemplate` for the gateway.